<?php
$this->styles($this->html->style("/css/signup.css"));
?>

<?php
if (isset($key))
{
	echo "Confirmation Link: <a href=\"<?=$link ?>/<?=$key->key ?>\"> Link </a>";
}
else
{
	$template = '<tr{:wrap}><td>{:label}</td><td>{:input}</td><td>{:error}</td></tr>';
	?>
	<?= $this->flashMessage->output(); ?>


	<div id="signup">
	<?= $this->form->create($user); ?>
		<table>
			<?= $this->form->field('username',
					array('template' => $template, 'id' => 's_username')) ?>
			<?= $this->form->field('newpass',
					array('template' => $template, 'id' => 's_password', 'label' => 'Password')) ?>
			<?= $this->form->field('email',
					array('template' => $template, 'id' => 's_email')) ?>
		</table>
	<?= $this->form->submit('Signup!'); ?>
	<?= $this->form->end(); ?>
	</div>
<?php
}
?>
